C# Class SolidworksAddinFramework.SldWorksExtensions

Mostra file Open project: Weingartner/SolidworksAddinFramework

Public Methods

Method Description
CreateHiddenDocument ( this sldWorks, bool hidden = true, swDocumentTypes_e type = swDocumentTypes_e.swDocPART ) : ModelDoc2
DoWithOpenDoc ( this swApp, Action action ) : IDisposable
DoWithOpenDoc ( this swApp, IDisposable>.Func action ) : IDisposable
DocOpenObservable ( this swApp ) : IObservable
LoadIgesInvisible ( this sldWorks, string igesFile, bool visible = false ) : ModelDoc2

Tries to load an iges file invisibly. Throws an exception if it doesn't work.

OpenInvisibleReadOnly ( this sldWorks, string toolFile, bool visible = false, swDocumentTypes_e type = swDocumentTypes_e.swDocPART ) : ModelDoc2

Open a document invisibly. It will not be shown to the user but you will be able to interact with it through the API as if it is loaded.

Method Details

CreateHiddenDocument() public static method

public static CreateHiddenDocument ( this sldWorks, bool hidden = true, swDocumentTypes_e type = swDocumentTypes_e.swDocPART ) : ModelDoc2
sldWorks this
hidden bool
type swDocumentTypes_e
return ModelDoc2

DoWithOpenDoc() public static method

public static DoWithOpenDoc ( this swApp, Action action ) : IDisposable
swApp this
action Action
return IDisposable

DoWithOpenDoc() public static method

public static DoWithOpenDoc ( this swApp, IDisposable>.Func action ) : IDisposable
swApp this
action IDisposable>.Func
return IDisposable

DocOpenObservable() public static method

public static DocOpenObservable ( this swApp ) : IObservable
swApp this
return IObservable

LoadIgesInvisible() public static method

Tries to load an iges file invisibly. Throws an exception if it doesn't work.
public static LoadIgesInvisible ( this sldWorks, string igesFile, bool visible = false ) : ModelDoc2
sldWorks this
igesFile string
visible bool
return ModelDoc2

OpenInvisibleReadOnly() public static method

Open a document invisibly. It will not be shown to the user but you will be able to interact with it through the API as if it is loaded.
public static OpenInvisibleReadOnly ( this sldWorks, string toolFile, bool visible = false, swDocumentTypes_e type = swDocumentTypes_e.swDocPART ) : ModelDoc2
sldWorks this
toolFile string
visible bool
type swDocumentTypes_e
return ModelDoc2